--- title: "get-export-file-approve-detail" slug: "get-export-file-approve-detail-1" updated: 2026-09-17T09:47:59Z published: 2026-09-17T09:47:59Z canonical: "api.ncloud-docs.com/get-export-file-approve-detail-1" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # get-export-file-approve-detail Available in VPC Get details of an export review in a datafence. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET | /api/v1/export-approval/get-export-file-approve-detail | ### Request headers For information about the headers common to all Datafence APIs, see [Datafence request headers](/docs/en/datafence-overview#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `fenceId` | Integer | Required | Datafence number - See [get-datafence](/docs/en/get-datafence). | | `boxId` | Integer | Required | Box number - See [get-box-list](/docs/en/get-box-list). | | `fileId` | Integer | Required | Export request number - See [get-box-list](/docs/en/get-export-file-approve-list-1). | ### Request example The request example is as follows: ``` curl --location --request GET 'https://datafence.apigw.ntruss.com/api/v1/export-approval/get-export-file-approve-detail?fenceId=26&boxId=74&fileId=102' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `fenceId` | Integer | - | Datafence number | | `fenceName` | String | - | Datafence name | | `boxId` | Integer | - | Box number | | `boxName` | String | - | Box name | | `boxStatus` | String | - | Box status code - `INITIALIZE` \| `USE` \| `ING` \| `RETURN` \| `TERMINATE` - `INITIALIZE`: creating infrastructure - `USE`: in use - `ING`: changing - `RETURN`: terminating - `TERMINATE`: termination completed | | `fileId` | Integer | - | Export request number | | `requesterId` | String | - | Export requester ID | | `screenFilePath` | String | - | Export review target file name - File name: Upon export request, set to {Export request date and time (ISO 8601 format)}_{Import number (`fileId`)}_{Source file name (`sourceFilePath`)}. | | `statusCode` | String | - | Export review status code - See [File export status code](/docs/en/datafence-code#FileExportStatusCode). | | `statusName` | String | - | Export review status name - See [File export status code](/docs/en/datafence-code#FileExportStatusCode). | | `description` | String | - | Description for the export request | | `fileDescription` | String | - | Description for the file requested for export | | `exportPurpose` | String | - | Export purpose | | `rejectReason` | String | - | Export request rejection cause | | `fileSize` | Integer | - | Export review target file size (MB) | | `createDate` | String | - | Export request date and time - ISO 8601 format (including UTC+9) | | `completeDate` | String | - | Export review date and time - ISO 8601 format (including UTC+9) - Display when export review is complete. | | `resultDate` | String | - | Export review date and time - ISO 8601 format (including UTC+9) - Display when export review is complete. | ### Response status codes For information about the HTTP status codes common to all Datafence APIs, see [Datafence API response status codes](/docs/en/datafence-overview#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "fenceId": 26, "fenceName": "defence001", "boxId": 74, "boxName": "box1", "boxStatus": "USE", "fileId": 102, "requesterId": "nb********@navercorp.com", "screenFilePath": "20250425T162608_117_datafence001.csv", "statusCode": "UPLOADED", "statusName": "Review requested (file transfer completed)", "description": "File export test", "fileDescription": "Test file", "exportPurpose": "File export test", "fileSize": 0, "createDate": "2025-04-25T16:26:09+09:00" } ```